window.board = {
    id: 'Armadillo-IoT_G4',
    name: 'Armadillo-IoT Gateway G4',
    minPin: 1,
    maxPin: 50
};

window.board.groups = {
    "can": {
	description: 'CAN',
        cssClass: 'success',
    },
    "ecspi": {
	description: 'ECSPI',
        cssClass: 'info',
    },
    "i2c": {
	description: 'I2C',
        cssClass: 'danger',
    },
    "pwm": {
	description: 'PWM',
        cssClass: 'warning',
    },
    "uart": {
	description: 'UART',
        cssClass: 'success',
    }
};

window.board.features = {
    "can1": {
        description: 'CAN1(RX/TX)',
        group: 'can',
        cssClass: 'danger',
        configurations: [
            {pins: [21, 23]},
        ]
    },
    "can2": {
        description: 'CAN2(RX/TX)',
        group: 'can',
        cssClass: 'warning',
        configurations: [
            {pins: [25, 27]},
        ]
    },
    "ecspi1": {
        description: 'ECSPI1(SCLK/MOSI/MISO/SS0)',
        group: 'ecspi',
        cssClass: 'warning',
        configurations: [
            {pins: [6, 8, 10, 12]}
        ]
    },
    "ecspi2": {
        description: 'ECSPI2(SCLK/MOSI/MISO/SS0)',
        group: 'ecspi',
        cssClass: 'success',
        configurations: [
            {pins: [9, 11, 13, 15]},
        ]
    },
    "i2c5": {
        description: 'I2C5(SCL/SDA)',
	    group: 'i2c',
        cssClass: 'info',
        configurations: [
            {pins: [19, 27]}
        ]
    },
    "i2c6": {
        description: 'I2C6(SCL/SDA)',
        group: 'i2c',
        cssClass: 'success',
        configurations: [
            {pins: [17, 29]}
        ]
    },
    "pwm1": {
        description: 'PWM1',
        group: 'pwm',
        cssClass: 'success',
        configurations: [
            {pins: [27]}
        ]
    },
    "pwm2": {
        description: 'PWM2',
        group: 'pwm',
        cssClass: 'danger',
        configurations: [
            {pins: [19]}
        ]
    },
    "pwm3": {
        description: 'PWM3',
        group: 'pwm',
        cssClass: 'success',
        configurations: [
            {pins: [17]}
        ]
    },
    "pwm4": {
        description: 'PWM4',
        group: 'pwm',
        cssClass: 'danger',
        configurations: [
            {pins: [29]}
        ]
    },
    "uart3": {
        description: 'UART3(RXD/TXD)',
        group: 'uart',
        cssClass: 'danger',
        configurations: [
            {pins: [8, 10]}
        ]
    },
    "uart3-hf": {
        description: 'UART3(RTS/CTS)',
        group: 'uart',
        cssClass: 'danger',
        configurations: [
            {pins: [6, 12]}
        ]
    },
    "uart4": {
        description: 'UART4(RXD/TXD)',
        group: 'uart',
        cssClass: 'warning',
        configurations: [
            {pins: [11, 13]}
        ]
    },
    "uart4-hf": {
        description: 'UART4(RTS/CTS)',
        group: 'uart',
        cssClass: 'warning',
        configurations: [
            {pins: [9, 15]},
            {pins: [44, 46]}
        ]
    }
};
